Skip to main content
GET
Get an off-ramp quote

Authorizations

Authorization
string
header
required

Cognito JWT token for regular user authentication

Path Parameters

quoteId
string
required

The quote ID

Example:

"quote_abc123"

Response

Response for status 200

id
string
required

Quote ID

Example:

"quote_abc123"

fulfillment
enum<string>
required
Available options:
sign_transaction,
send_to_address
status
enum<string>
required
Available options:
created,
transaction_pending,
transaction_failed,
insufficient_funds,
confirmed,
completed,
expired,
failed,
refunded
createdAt
string<date-time>
required

When the quote was created

Example:

"2026-08-06T14:28:21.709Z"

input
object
required

Exact USD value collected by Spritz and the token route used to fund it. The exact token quantity is returned by the transaction endpoint.

output
object
required

Destination amount. Exact for supported exact-output quotes; estimated for EUR exact-input quotes.

fees
object
required

Known Spritz fee. Provider FX movement and blockchain gas are not included.

sendTo
object | null
required

Present when fulfillment is send_to_address. Send exactly amount of token to address before expiresAt.

confirmation
object | null
required

Present after on-chain transaction is detected.